'All (and only) RapidQ input forms.

Create ProjectNameForm As QForm
    BorderStyle = bsToolWindow
    Width       = 222
    Height      = 100
    Visible     = False
    KeyPreview  = True
    OnKeyDown   = ProjectNameForm_OnKeyDown
    OnShow      = ProjectNameForm_OnShow
    Create ProjectNameLabel As QLabel
      AutoSize  = False
      Left      = 10
      Top       = 15
      Width     = 108
      Height    = 16
      Alignment = taCenter
    End Create
    Create ProjectNameEdit As QEdit
      AutoSize      = False
      Left          = 10
      Top           = 37
      Width         = 108
      Height        = 20
      TabOrder      = 1
    End Create
    Create ProjectNameButton1 As QButton
      Left     = 128
      Top      = 9
      Width    = 75
      Height   = 25
      TabOrder = 2
      Caption  = "Ok"
      OnClick  = ProjectNameButton1_OnClick
    End Create
    Create ProjectNameButton2 As QButton
      Left     = 128
      Top      = 39
      Width    = 75
      Height   = 25
      TabOrder = 3
      Caption  = "Cancel"
      OnClick  = ProjectNameButton2_OnClick
    End Create
End Create

Sub ProjectNameButton1_OnClick
    ProjectNameForm.ModalResult = mrOK
End Sub

Sub ProjectNameButton2_OnClick
    ProjectNameForm.ModalResult = mrCancel
End Sub

Sub ProjectNameForm_OnKeyDown(Key As Word, Shift As Integer)
    If Shift = 0 And Key = 13 Then
      SetFocus(ProjectNameButton1.Handle)
      SendMessage(ProjectNameButton1.Handle, BM_CLICK, 0 ,0)
      KillMessage(ProjectNameForm.Handle, WM_CHAR)
    End If
End Sub

Sub ProjectNameForm_OnShow
    ProjectNameForm.Left = MainForm.Left + (MainForm.Width\2) - (ProjectNameForm.Width\2)
    ProjectNameForm.Top  = MainForm.Top + (MainForm.Height\2) - (ProjectNameForm.Height\2)
    SetFocus(ProjectNameButton2.Handle)
End Sub

Create ParameterForm As QForm
    BorderStyle = bsToolWindow
    Caption     = " Run with Parameter(s)"
    Width       = 420
    Height      = 90
    OnShow      = ParameterForm_OnShow
    OnClose     = ParameterForm_OnClose
    Create ParameterFormLabel1 As QLabel
      AutoSize  = False
      WordWrap  = True
      Left      = 10
      Top       = 5
      Width     = 305
      Height    = 27
      Alignment = taCenter
      Caption   = "Enter necessary parameter(s)  or  Browse for a file name." & Chr$(10) & "Then click [ Run It Now ]  or  [ X ] to Cancel."
    End Create
    Create ParameterFormEdit As QEdit
      AutoSize = False
      Left     = 10
      Top      = 36
      Width    = 305
      Height   = 20
      TabOrder = 1
    End Create
    Create ParameterButton1 As QButton
      Left     = 325
      Top      = 34
      Width    = 75
      Height   = 25
      Caption  = "Browse"
      OnClick  = ParameterButton1_OnClick
      TabOrder = 2
    End Create
    Create ParameterButton2 As QButton
      Left     = 325
      Top      = 6
      Width    = 75
      Height   = 25
      Caption  = "Run It Now"
      OnClick  = ParameterButton2_OnClick
      TabOrder = 3
    End Create
End Create

Sub ParameterButton1_OnClick
    OpenDialog.Caption  = " Browse for a File"
    OpenDialog.FileName = ""
    OpenDialog.Filter   = " Select a file to use as a parameter     [ *.* ]|*.*"
    If OpenDialog.Execute Then
      ParameterFormEdit.Text = OpenDialog.FileName
    End If
End Sub

Sub ParameterButton2_OnClick
    ParameterForm.ModalResult = mrOk
End Sub

Sub ParameterForm_OnShow
    ParameterButton1.Tag = mrNone
    ParameterButton2.Tag = mrNone
    ParameterForm.Left   = MainForm.Left + (MainForm.Width\2) - (ParameterForm.Width\2)
    ParameterForm.Top    = MainForm.Top + (MainForm.Height\2) - (ParameterForm.Height\2)
    SetFocus(ParameterButton2.Handle)
End Sub

Sub ParameterForm_OnClose
End Sub

Create EditAide_Help_Form As QForm
    BorderStyle = bsSizeToolWin
    OnShow      = EditAide_Help_Form_OnShow
    Create EditAide_Help_Richedit As QRichEdit
      Align       = alClient
      ScrollBars  = ssBoth
      WordWrap    = True
      PlainText   = True
      Font.Name   = "Courier New"
      Font.Size   = 10
      ReadOnly    = True
      OnKeyDown   = Lose_Focus
      OnMouseDown = Lose_Focus
    End Create
End Create

Sub EditAide_Help_Form_OnShow
    EditAide_Help_Form.Width  = (MainForm.Width \ 2)
    EditAide_Help_Form.Height = Code_Editor_TabControl.Height
    EditAide_Help_Form.Left   = (MainForm.Left + MainForm.Width) - (EditAide_Help_Form.Width + 4)
    EditAide_Help_Form.Top    = (MainForm.Top + 30)
End Sub

Create JumpToForm As QForm
  BorderStyle = bsDialog
  Width       = 270
  Height      = 110
  Visible     = False
  KeyPreview  = True
  OnKeyDown   = JumpToForm_OnKeyDown
  OnShow      = JumpToForm_OnShow
  Create JumpToLabel As QLabel
    AutoSize  = False
    Left      = 10
    Top       = 15
    Width     = 140
    Height    = 16
    Alignment = taCenter
  End Create
  Create JumpToComboBox As QComboBox
    Left          = 10
    Top           = 37
    Width         = 158
    Height        = 20
    Style         = csDropDownList
    DropDownCount = 5
  End Create
  Create JumpToButton1 As QButton
    Left     = 178
    Top      = 9
    Width    = 75
    Height   = 25
    Caption  = "Jump Now"
    OnClick  = JumpToButton1_OnClick
  End Create
  Create JumpToButton2 As QButton
    Left     = 178
    Top      = 42
    Width    = 75
    Height   = 25
    Caption  = "Cancel"
    OnClick  = JumpToButton2_OnClick
  End Create
End Create

Sub JumpToForm_OnShow
    JumpToForm.Left = (MainForm.Left + (MainForm.Width\2)) - (JumpToForm.Width\2)
    JumpToForm.Top  = (MainForm.Top + (MainForm.Height\2)) - (JumpToForm.Height\2)
End Sub

Sub JumpToButton1_OnClick
    JumpToForm.ModalResult = mrOK
End Sub

Sub JumpToButton2_OnClick
    JumpToForm.ModalResult = mrCancel
End Sub

Sub JumpToForm_OnKeyDown(Key As Word, Shift As Integer)
    If Shift = 0 And Key = 13 Then
      SetFocus(JumpToButton1.Handle)
      SendMessage(JumpToButton1.Handle, BM_CLICK, 0 ,0)
      KillMessage(JumpToForm.Handle, WM_CHAR)
    End If
End Sub
