'All (and only) RapidQ input/output objects.

Dim OpenDialog As QOpenDialog
    OpenDialog.InitialDir = InstallPath

Dim SaveDialog As QSaveDialog
    SaveDialog.InitialDir = InstallPath
    SaveDialog.Filter     = " RQ Source Files         BAS,RQB,RQW,INC|*.bas;*.rqb;*.rqw;*.inc"

Dim FontDialog As QFontDialog

Dim ioPanel(iopCnt) As QPanel

For iopi = 0 To iopCnt
  ioPanel(iopi).Parent     = Input_Output_Panel
  ioPanel(iopi).BevelWidth = 0
  ioPanel(iopi).BevelOuter = bvNone
  ioPanel(iopi).BevelInner = bvNone
  ioPanel(iopi).Color      = RGB(000,000,000)
  ioPanel(iopi).Visible    = IIF(iopi = 0, True, False)
Next iopi

Create Previous_File_Panel As QPanel
  Parent      = ioPanel(0)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelOuter  = bvNone
  BevelInner  = bvNone
  Align       = alClient
  Color       = RGB(000,000,000)
  Create Previous_File_Label As QLabel
    AutoSize  = False
    Left      = 1
    Top       = 1
    Width     = 478
    Height    = 16
    Font.Size = 8
    Alignment = taCenter
    Caption   = "Previous Files"
    Color     = RGB(216,216,216)
  End Create
  Create Previous_File_TreeView As QTreeView
    BorderStyle = bsNone
    Left        = 1
    Top         = 18
    Width       = 478
    Height      = 114
    Color       = RGB(255,255,255)
    Font.Size   = 9
    ShowRoot    = False
    ShowLines   = False
    ReadOnly    = True
    Font.Name   = "Courier New"
    Font.Size   = 10
    Additems("", "", "", "", "", "", "", "", "", "")
    OnMouseDown = Previous_File_TreeView_OnMouseDown
    Create Previous_File_PopupMenu As QPopupMenu
      Create Previous_File_PM_Code_Editor_Load As QMenuItem
        Caption = "Load Into Code Editor"
        OnClick = Previous_File_PM_OnClick
        Enabled = False
      End Create
      Create Previous_File_Line1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create Previous_File_PM_Clear As QMenuItem
        Caption = "Clear The List"
        OnClick = Previous_File_PM_OnClick
        Enabled = False
      End Create
      Create Previous_File_Line2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create Previous_File_PM_RemoveFrom As QMenuItem
        Caption = "Remove From List"
        OnClick = Previous_File_PM_OnClick
        Enabled = False
      End Create
      Create Previous_File_PM_MoveUp As QMenuItem
        Caption = "Move Up In List"
        OnClick = Previous_File_PM_OnClick
        Enabled = False
      End Create
      Create Previous_File_PM_MoveDown As QMenuItem
        Caption = "Move Down In List"
        OnClick = Previous_File_PM_OnClick
        Enabled = False
      End Create
    End Create
  End Create
End Create

Create Previous_Project_Panel As QPanel
  Parent      = ioPanel(1)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelOuter  = bvNone
  BevelInner  = bvNone
  Align       = alClient
  Color       = RGB(000,000,000)
  Create Previous_Project_Label As QLabel
    AutoSize  = False
    Left      = 1
    Top       = 1
    Width     = 478
    Height    = 16
    Font.Size = 8
    Alignment = taCenter
    Caption   = "Previous Projects"
    Color     = RGB(216,216,216)
  End Create
  Create Previous_Project_TreeView As QTreeView
    BorderStyle = bsNone
    Left        = 1
    Top         = 18
    Width       = 478
    Height      = 114
    Color       = RGB(255,255,255)
    Font.Size   = 9
    ShowRoot    = False
    ShowLines   = False
    ReadOnly    = True
    Font.Name   = "Courier New"
    Font.Size   = 10
    Additems("", "", "", "", "", "", "", "", "", "")
    OnMouseDown = Previous_Project_TreeView_OnMouseDown
    Create Previous_Project_PopupMenu As QPopupMenu
      Create Previous_Project_PM_Code_Editor_Load As QMenuItem
        Caption = "Load Into Code Editor"
        OnClick = Previous_Project_PM_OnClick
        Enabled = False
      End Create
      Create Previous_Project_PM_Project_Editor_Load As QMenuItem
        Caption = "Load Into Project Editor"
        OnClick = Previous_Project_PM_OnClick
        Enabled = False
      End Create
      Create Previous_Project_Line1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create Previous_Project_PM_Clear As QMenuItem
        Caption = "Clear The List"
        OnClick = Previous_Project_PM_OnClick
        Enabled = False
      End Create
      Create Previous_Project_Line2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create Previous_Project_PM_RemoveFrom As QMenuItem
        Caption = "Remove From List"
        OnClick = Previous_Project_PM_OnClick
        Enabled = False
      End Create
      Create Previous_Project_PM_MoveUp As QMenuItem
        Caption = "Move Up In List"
        OnClick = Previous_Project_PM_OnClick
        Enabled = False
      End Create
      Create Previous_Project_PM_MoveDown As QMenuItem
        Caption = "Move Down In List"
        OnClick = Previous_Project_PM_OnClick
        Enabled = False
      End Create
    End Create
  End Create
End Create

Create Project_Editor_Panel As QPanel
  Parent      = ioPanel(2)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelOuter  = bvNone
  BevelInner  = bvNone
  Align       = alClient
  Color       = RGB(000,000,000)
  Create Project_Editor_Label As QLabel
    AutoSize  = False
    Left      = 1
    Top       = 1
    Width     = 478
    Height    = 16
    Font.Size = 8
    Alignment = taCenter
    Caption   = "Project Editor"
    Color     = RGB(216,216,216)
  End Create
  Create Project_Editor_TreeView As QTreeView
    BorderStyle = bsNone
    Left        = 1
    Top         = 18
    Width       = 478
    Height      = 114
    Color       = RGB(255,255,255)
    Font.Size   = 9
    ShowRoot    = False
    ReadOnly    = True
    Font.Name   = "Courier New"
    Font.Size   = 10
    OnMouseDown = Project_Editor_TreeView_OnMouseDown
    Create Project_Editor_PopupMenu As QPopupMenu
      Create Project_Editor_PM_Open As QMenuItem
        Caption = "Open a Project"
        OnClick = Project_Editor_PM_OnClick
        Enabled = True
      End Create
      Create Project_Editor_Line1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create Project_Editor_PM_Name As QMenuItem
        Caption = "Name Project"
        OnClick = Project_Editor_PM_OnClick
        Enabled = True
      End Create
      Create Project_Editor_PM_AddTo As QMenuItem
        Caption = "Add File To Project"
        OnClick = Project_Editor_PM_OnClick
        Enabled = False
      End Create
      Create Project_Editor_PM_Save As QMenuItem
        Caption = "Save Project"
        OnClick = Project_Editor_PM_OnClick
        Enabled = False
      End Create
      Create Project_Editor_PM_Clear As QMenuItem
        Caption = "Clear Project"
        OnClick = Project_Editor_PM_OnClick
        Enabled = False
      End Create
      Create Project_Editor_Line2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create Project_Editor_PM_Code_Editor_Load As QMenuItem
        Caption = "Load Into Code Editor"
        OnClick = Project_Editor_PM_OnClick
        Enabled = False
      End Create
      Create Project_Editor_Line3 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create Project_Editor_PM_MoveUp As QMenuItem
        Caption = "Move File Up"
        OnClick = Project_Editor_PM_OnClick
        Enabled = False
      End Create
      Create Project_Editor_PM_MoveDown As QMenuItem
        Caption = "Move File Down"
        OnClick = Project_Editor_PM_OnClick
        Enabled = False
      End Create
      Create Project_Editor_PM_RemoveFrom As QMenuItem
        Caption = "Remove File From Project"
        OnClick = Project_Editor_PM_OnClick
        Enabled = False
      End Create
    End Create
  End Create
End Create

Create Search_Panel As QPanel
  Parent      = ioPanel(3)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelOuter  = bvNone
  BevelInner  = bvNone
  Align       = alClient
  Color       = RGB(000,000,000)
  Create Search_Background_Image As QImage
    Left    = 1
    Top     = 1
    Width   = 482
    Height  = 135
    Stretch = True
  End Create
  Create Search_Sub_Panel As QPanel
    BorderStyle = bsNone
    BevelWidth  = 0
    BevelOuter  = bvNone
    BevelInner  = bvNone
    Left        = 1
    Top         = 1
    Width       = 482
    Height      = 135
    Color       = RGB(000,000,000)
    Create Search_Sub_Panel1 As QPanel
      BorderStyle = bsNone
      BevelWidth  = 0
      BevelOuter  = bvNone
      BevelInner  = bvNone
      Left        = 0
      Top         = 0
      Width       = 484
      Height      = 51
      Color       = RGB(216,216,216)
      Create Find_What_Label As QLabel
        AutoSize  = False
        Left      = 4
        Top       = 7
        Width     = 65
        Height    = 13
        Caption   = "Find what:"
        Alignment = taRightJustify
      End Create
      Create Find_What_Edit As QEdit
        AutoSize  = False
        Left      = 74
        Top       = 3
        Width     = 160
        Height    = 21
        Font.Name = "Courier New"
        Font.Size = 9
        OnChange  = Find_What_Edit_OnChange
      End Create
      Create Replace_With_Label As QLabel
        AutoSize = False
        Left     = 4
        Top      = 29
        Width    = 65
        Height   = 13
        Caption  = "Replace with:"
      End Create
      Create Replace_With_Edit As QEdit
        AutoSize  = False
        Left      = 74
        Top       = 26
        Width     = 160
        Height    = 21
        Font.Name = "Courier New"
        Font.Size = 9
      End Create
      Create Match_Whole_Checkbox As QCheckbox
        Left    = 240
        Top     = 5
        Width   = 130
        Height  = 17
        Caption = "Match whole word only"
      End Create
      Create Match_Case_Checkbox As QCheckbox
        Left    = 240
        Top     = 28
        Width   = 80
        Height  = 17
        Caption = "Match case"
      End Create
      Create Find_All_Button As QButton
        Left    = 373
        Top     = 3
        Width   = 100
        Height  = 22
        Caption = "Find All Matches"
        Enabled = False
        OnClick = Find_All_Button_OnClick
      End Create
      Create Toggle_ReplaceALL_CheckBoxes As QCheckBox
        Left     = 328
        Top      = 28
        Width    = 37
        Height   = 17
        Caption  = "ALL"
        Hint     = " Check ALL Items "
        ShowHint = True
        Enabled  = False
        OnClick  = Toggle_ReplaceALL_CheckBoxes_OnClick
      End Create
      Create Replace_Checked_Button As QButton
        Left    = 373
        Top     = 27
        Width   = 100
        Height  = 22
        Caption = "Replace Checked"
        Enabled = False
        OnClick = Replace_Checked_Button_OnClick
      End Create
    End Create
  End Create
  Create Find_ListView As QListView
    BorderStyle     = bsNone
    Left            = 1
    Top             = 53
    Width           = 476 '478
    Height          = 78
    Font.Name       = "Courier New"
    Font.Size       = 10
    ColumnClick     = False
    ReadOnly        = True
    ViewStyle       = vsReport
    CheckBoxes      = True
    AddColumns("R : G", "Line #", " ")
    Column(0).Width = 60
    Column(1).Width = 68
    Column(2).Width = 350
    OnClick         = Find_ListView_OnClick
    OnKeyPress      = Find_ListView_OnKeyPress
    OnChange        = Find_ListView_OnChange
    Create Find_ListView_PopupMenu As QPopupMenu
      Create Find_ListView_PM_Clear As QMenuItem
        Caption = "Clear Results"
        OnClick = Find_ListView_PM_OnClick
        Enabled = False
      End Create
    End Create
  End Create
End Create

Create Compiler_Defaults_Panel As QPanel
  Parent      = ioPanel(4)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelOuter  = bvNone
  BevelInner  = bvNone
  Align       = alClient
  Color       = RGB(000,000,000)
  Create Compiler_Background_Image As QImage
    Left    = 1
    Top     = 1
    Width   = 482
    Height  = 135
    Stretch = True
  End Create
  Create Compiler_Sub_Panel As QPanel
    BorderStyle = bsNone
    BevelWidth  = 0
    BevelOuter  = bvNone
    BevelInner  = bvNone
    Left        = 1
    Top         = 1
    Width       = 482
    Height      = 135
    Color       = RGB(000,000,000)
    Create Compiler_Sub_Panel1 As QPanel
      Left   = 0
      Top    = 0
      Width  = 138
      Height = 135
      Color  = RGB(216,216,216)
      Create Compile_GUI_RadioButton As QRadioButton
        Left    = 6
        Top     = 13
        Width   = 124
        Caption = "Compile as GUI"
        Checked = True
      End Create
      Create Compile_CONSOLE_RadioButton As QRadioButton
        Left    = 6
        Top     = 39
        Width   = 124
        Caption = "Compile as CONSOLE"
        Checked = False
      End Create
      Create Compile_ByteCode_CheckBox As QCheckBox
        Left    = 6
        Top     = 67
        Width   = 124
        Caption = "Compile to ByteCode"
      End Create
      Create Compile_Unix_CheckBox As QCheckBox
        Left    = 6
        Top     = 96
        Width   = 124
        Caption = "Compile to UNIX"
      End Create
    End Create
    Create Compiler_Sub_Panel2 As QPanel
      Left   = 141
      Top    = 0
      Width  = 136
      Height = 135
      Color  = RGB(216,216,216)
      Create Compile_Verbose_Checkbox As QCheckbox
        Left    = 7
        Top     = 11
        Width   = 120
        Caption = "Verbose Compiling"
        Checked = True
      End Create
      Create Compile_Optimize_Checkbox As QCheckbox
        Left    = 7
        Top     = 37
        Width   = 120
        Caption = "Optimize Compiling"
        Checked = True
      End Create
      Create Compile_BackUp_Checkbox As QCheckbox
        Left    = 7
        Top     = 61
        Width   = 120
        Caption = "Create a Backup"
        Checked = False
      End Create
      Create Compile_BackUp_Label As QLabel
        Left    = 25
        Top     = 77
        Width   = 50
        Caption = "before Compiling"
      End Create
      Create Compile_ParameterRun_Checkbox As QCheckbox
        Left    = 7
        Top     = 96
        Width   = 120
        Caption = "Run with a Parameter"
        Checked = False
      End Create
    End Create
    Create Compiler_Sub_Panel3 As QPanel
      Left   = 280
      Top    = 0
      Width  = 202
      Height = 135
      Color  = RGB(216,216,216)
      Create Get_LIB_Button As QButton
        Left     = 12
        Top      = 9
        Width    = 178
        Height   = 25
        Caption  = "Select LIB Folder..."
        Hint     = " Current: " & DefLibFolder & " "
        ShowHint = True
        OnClick  = Get_LIB_Button_OnClick
      End Create
      Create Get_INC_Button As QButton
        Left     = 12
        Top      = 50
        Width    = 178
        Height   = 25
        Caption  = "Select INC Folder..."
        Hint     = " Current: " & DefIncFolder & " "
        ShowHint = True
        OnClick  = Get_INC_Button_OnClick
      End Create
      Create Get_ICO_Button As QButton
        Left     = 12
        Top      = 91
        Width    = 132
        Height   = 25
        Caption  = "Select ICO File..."
        Hint     = " Current: " & DefAppIcon & " "
        ShowHint = True
        OnClick  = Get_ICO_Button_OnClick
      End Create
      Create Show_ICO_Panel As QPanel
        BevelOuter = bvNone
        Left       = 154
        Top        = 85
        Width      = 36
        Height     = 34
        Color      = RGB(255,255,255)
        Create Show_ICO_Image As QImage
          AutoSize    = True
          Left        = 2
          Top         = 1
          Width       = 32
          Height      = 32
          Transparent = True
          Icon        = DefAppIcon
        End Create
      End Create
    End Create
  End Create
End Create

Create Options_Panel As QPanel
  Parent      = ioPanel(5)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelInner  = bvNone
  BevelOuter  = bvNone
  Align       = alClient
  Color       = RGB(000,000,000)
  Create Options_Background_Image As QImage
    Left    = 1
    Top     = 1
    Width   = 482
    Height  = 135
    Stretch = True
  End Create
  Create Options_Sub_Panel As QPanel
    BorderStyle = bsNone
    BevelWidth  = 0
    BevelOuter  = bvNone
    BevelInner  = bvNone
    Left        = 1
    Top         = 1
    Width       = 482
    Height      = 135
    Color       = RGB(000,000,000)
    Create Options_Sub_Panel1 As QPanel
      Left   = 0
      Top    = 0
      Width  = 118
      Height = 135
      Color  = RGB(216,216,216)
      Create Highlight_Checkbox As QCheckbox
        Left    = 17
        Top     = 11
        Caption = "HighLight"
        Checked = False
        OnClick = Set_Highlighting
      End Create
      Create LineNumbers_Checkbox As QCheckbox
        Left    = 17
        Top     = 34
        Caption = "Line Numbers"
        Checked = False
        OnClick = Set_LineNumbering
      End Create
      Create SetHLLNDefs_Button As QButton
        Left    = 6
        Top     = 64
        Width   = 106
        Height  = 60
        Caption = "Set HighLight and Line Number Defaults"
        OnClick = Set_HLLN_Defaults
      End Create
    End Create
    Create Options_Sub_Panel2 As QPanel
      Left   = 121
      Top    = 0
      Width  = 119
      Height = 135
      Color  = RGB(216,216,216)
      Create Tab_Property_Label As QLabel
        AutoSize  = False
        Alignment = taCenter
        Left      = 4
        Top       = 11
        Width     = 108
        Font.Size = 8
        Caption   = "TabControl Property"
      End Create
      Create Tab_Property_ComboBox As QComboBox
        Style     = csDropDownList
        Left      = 8
        Top       = 28
        Width     = 102
        Font.Name = "Courier New"
        Font.Size = 9
        AddItems("Multi-Line", "Single-Line")
        ItemIndex = 0
        OnChange  = Tab_Property_ComboBox_OnChange
      End Create
      Create ClearUndoBuffer_Button As QButton
        Left    = 6
        Top     = 64
        Width   = 106
        Height  = 60
        Caption = "Clear" & Chr$(10) & "Undo/Redo" & Chr$(10) & "Buffer"
        Enabled = False
        OnClick = Clear_UnDoReDo_Buffer
      End Create
    End Create
    Create Options_Sub_Panel3 As QPanel
      Left   = 243
      Top    = 0
      Width  = 118
      Height = 135
      Color  = RGB(216,216,216)
      Create SetTabFont_Button As QButton
        Left    = 6
        Top     = 6
        Width   = 106
        Height  = 50
        Caption = "Set This Tab Font"
        OnClick = Set_Tab_Font
      End Create
      Create SetTabColor_Button As QButton
        Left    = 6
        Top     = 64
        Width   = 106
        Height  = 60
        Caption = "Set This Tab" & Chr$(10) & "BackGround Color"
        OnClick = Set_Tab_Color
      End Create
    End Create
    Create Options_Sub_Panel4 As QPanel
      Left   = 364
      Top    = 0
      Width  = 118
      Height = 135
      Color  = RGB(216,216,216)
      Create SetDefFont_Button As QButton
        Left    = 6
        Top     = 6
        Width   = 106
        Height  = 50
        Caption = "Set Default Font"
        OnClick = Set_Def_Font
      End Create
      Create SetDefColor_Button As QButton
        Left    = 6
        Top     = 64
        Width   = 106
        Height  = 60
        Caption = "Set Default" & Chr$(10) & "BackGround Color"
        OnClick = Set_Def_Color
      End Create
    End Create
  End Create
End Create

Create Compiler_Results_Richedit As QRichEdit
  Parent        = ioPanel(6)
  Align         = alClient
  BorderStyle   = bsNone
  ScrollBars    = ssBoth
  WordWrap      = False
  PlainText     = True
  Font.Name     = "Courier New"
  Font.Size     = 10
  ReadOnly      = True
  HideSelection = False
  OnKeyDown     = Lose_Focus
  OnMouseDown   = Lose_Focus
End Create

Create Web_Panel As QPanel
  Parent      = ioPanel(7)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelInner  = bvNone
  BevelOuter  = bvNone
  Align       = alClient
  Color       = RGB(000,000,000)
  Create Web_Background_Image As QImage
    Left    = 1
    Top     = 1
    Width   = 482
    Height  = 135
    Stretch = True
  End Create
  Create Web_Nav_Panel As QPanel
    BorderStyle = bsNone
    BevelWidth  = 0
    BevelOuter  = bvNone
    BevelInner  = bvNone
    Left        = 1
    Top         = 1
    Width       = 482
    Height      = 34
    Color       = RGB(000,000,000)
    Create Web_Nav_Sub_Panel As QPanel
      BorderStyle = bsNone
      BevelWidth  = 0
      BevelOuter  = bvNone
      BevelInner  = bvNone
      Left        = 0
      Top         = 0
      Width       = 484
      Height      = 32
      Color  = RGB(216,216,216)
      Create Web_Nav_ComboBox As QComboBox
        Left      = 8
        Top       = 4
        Width     = 200
        Height    = 28
        Style     = csDropDownList
        Font.Name = "Courier New"
        Font.Size = 10
        AddItems("", "RapidQ Forum", "Burkley's Bravado", "JohnK's PhatCode", "PaulL's Snakedile", "Jacques's WebHop", "RapidQ Doc. Proj.", "Guidance RapidQ", "ByteShaper's EasyRQ", "Google", "MSDN")
        ItemIndex = 0
        Hint      = "Select a pre-defined URL"
        ShowHint  = True
        OnChange  = Web_Nav_ComboBox_OnChange
      End Create
      Create Web_Nav_Edit As QEdit
        AutoSize  = False
        Left      = 214
        Top       = 4
        Width     = 200
        Height    = 24
        Font.Size = 10
        Hint      = "Enter a valid URL and click Go"
        ShowHint  = True
        OnChange  = Web_Nav_Edit_OnChange
      End Create
      Create Web_Nav_Button As QButton
        Left    = 420
        Top     = 5
        Width   = 45
        Height  = 24
        Caption = "Go"
        Enabled = False
        OnClick = Web_Nav_Button_OnClick
      End Create
    End Create
  End Create
  Create Web_OLE_Panel As QPanel
    BevelWidth = 0
    BevelOuter = bvNone
    BevelInner = bvNone
    Left       = 0
    Top        = 34
    Width      = 484
    Height     = 102
    Color      = RGB(000,000,000)
    Create msHTML As QOleContainer
      BorderStyle = bsNone
      Left     = 1
      Top      = 1
      Width    = 482
      Height   = 100
      AutoShow = False
      CreateObject("Shell.Explorer.1")
    End Create
  End Create
End Create

Create Browser_Panel As QPanel
  Parent      = ioPanel(8)
  BorderStyle = bsNone
  BevelWidth  = 0
  BevelInner  = bvNone
  BevelOuter  = bvNone
  Align       = alClient
  Color       = RGB(255,255,255)
  Create Browser_Sub_Panel As QPanel
    BorderStyle = bsNone
    BevelWidth  = 0
    BevelOuter  = bvNone
    BevelInner  = bvNone
    Left        = 0
    Top         = 0
    Width       = 480
    Height      = 133
    Color       = RGB(000,000,000)
    Create Browser_FolderTree_Panel As QPanel
      Left   = 1
      Top    = 1
      Width  = 200
      Height = 131
      Create Browser_FolderTree As QFolderTree
        Align    = alClient
        OnClick  = Browser_FolderTree_OnClick
        OnKeyUp  = Browser_FolderTree_OnKeyUp
      End Create
    End Create
    Create Broswer_Splitter_Fake As QPanel
      Left        = 202
      Top         = 1
      Width       = 3
      Height      = 132
      Cursor      = crHSplit
      OnMouseDown = Broswer_Splitter_OnMouseDown
      OnMouseUp   = Broswer_Splitter_OnMouseUp
    End Create
    Create Browser_FileView_Panel As QPanel
      Left   = 206
      Top    = 1
      Width  = 273
      Height = 131
      Create Browser_FileView As QFileView
        Align = alClient
        Create Browser_FileView_PopupMenu As QPopupMenu
          Create Browser_FileView_PM_Code_Editor_Load As QMenuItem
            Enabled   = False
            RadioItem = False
            Caption   = "Load Into Code Editor"
            Checked   = False
            OnClick   = Browser_FileView_PM_OnClick
          End Create
          Create Browser_FileView_PM_Line As QMenuItem
            Enabled   = False
            RadioItem = False
            Caption   = "-"
          End Create
          Create Browser_FileView_PM_Mask_1 As QMenuItem
            Enabled   = True
            RadioItem = True
            Caption   = "Mask: *.bas;*.rqb;*.rqw;*.inc"
            Checked   = True
            OnClick   = Browser_FileView_PM_OnClick
          End Create
          Create Browser_FileView_PM_Mask_2 As QMenuItem
            Enabled   = True
            RadioItem = True
            Caption   = "Mask: *.bas;*.rqb;*.rqw"
            Checked   = False
            OnClick   = Browser_FileView_PM_OnClick
          End Create
          Create Browser_FileView_PM_Mask_3 As QMenuItem
            Enabled   = True
            RadioItem = True
            Caption   = "Mask: *.inc"
            Checked   = False
            OnClick   = Browser_FileView_PM_OnClick
          End Create
          Create Browser_FileView_PM_Mask_4 As QMenuItem
            Enabled   = True
            RadioItem = True
            Caption   = "Mask: *.rqp"
            Checked   = False
            OnClick   = Browser_FileView_PM_OnClick
          End Create
          Create Browser_FileView_PM_Mask_5 As QMenuItem
            Enabled   = True
            RadioItem = True
            Caption   = "Mask: *.txt"
            Checked   = False
            OnClick   = Browser_FileView_PM_OnClick
          End Create
          Create Browser_FileView_PM_Mask_6 As QMenuItem
            Enabled   = True
            RadioItem = True
            Caption   = "Mask: *.*"
            Checked   = False
            OnClick   = Browser_FileView_PM_OnClick
          End Create
        End Create
      End Create
    End Create
    Create Broswer_Splitter_Real As QPanel
      BevelWidth = 1
      BevelOuter = bvNone
      BevelInner = bvNone
      Left       = 202
      Top        = 1
      Width      = 4
      Height     = 132
      Color      = RGB(000,000,000)
      Visible    = False
    End Create
  End Create
End Create

Dim BG_BitMap As QBitMap
    BG_Bitmap.Width  = 482
    BG_Bitmap.Height = 135
