'Read / Save Defaults Subroutines

Sub Read_Defaults
    Dim RedColor As Long
        RedColor = 0
    Dim GreenColor As Long
        GreenColor = 0
    Dim BlueColor As Long
        BlueColor = 0
    Dim IniIdx As Long
        IniIdx = 0
    Dim i As Long
        i = 0
    If FileExists(InstallPath & "EditAide.ini") Then
      IniFile.LoadFromFile(InstallPath & "EditAide.ini")
      For i = 0 To IniFile.ItemCount - 1
        TestIniFile.AddItems(Field$(IniFile.Item(i),"=",1))
      Next i
      IniIdx = TestIniFile.Find("       Form.Left")
      If IniIdx > - 1 Then MainForm.Left = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("        Form.Top")
      If IniIdx > - 1 Then MainForm.Top = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("      Form.Width")
      If IniIdx > - 1 Then MainForm.Width = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("     Form.Height")
      If IniIdx > - 1 Then MainForm.Height = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("  RichEdit.Color")
      If IniIdx > - 1 Then
        RedColor = Val(Mid$(IniFile.Item(IniIdx), InStr(IniFile.Item(IniIdx),"(")+1, 3))
        GreenColor = Val(Mid$(IniFile.Item(IniIdx), InStr(IniFile.Item(IniIdx),",")+1, 3))
        BlueColor = Val(Mid$(IniFile.Item(IniIdx), rInStr(IniFile.Item(IniIdx),",")+1, 3))
        DefReBgColor = RGB(RedColor, GreenColor, BlueColor)
      End If
      IniIdx = TestIniFile.Find("       Font.Name")
      If IniIdx > - 1 Then DefaultFont.Name = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("       Font.Size")
      If IniIdx > - 1 Then DefaultFont.Size = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("      Font.Color")
      If IniIdx > - 1 Then
        RedColor = Val(Mid$(IniFile.Item(IniIdx), InStr(IniFile.Item(IniIdx),"(")+1, 3))
        GreenColor = Val(Mid$(IniFile.Item(IniIdx), InStr(IniFile.Item(IniIdx),",")+1, 3))
        BlueColor = Val(Mid$(IniFile.Item(IniIdx), rInStr(IniFile.Item(IniIdx),",")+1, 3))
        DefaultFont.Color = RGB(RedColor, GreenColor, BlueColor)
      End If
      IniIdx = TestIniFile.Find("       Font.Bold")
      If IniIdx > - 1 Then DefaultFont.Bold = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("     Font.Italic")
      If IniIdx > - 1 Then DefaultFont.Italic = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("  Font.Strikeout")
      If IniIdx > - 1 Then DefaultFont.Strikeout = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("  Font.Underline")
      If IniIdx > - 1 Then DefaultFont.Underline = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("    Font.CharSet")
      If IniIdx > - 1 Then DefaultFont.CharSet = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("  Line Numbering")
      If IniIdx > - 1 Then LineNumbers_Checkbox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("    HighLighting")
      If IniIdx > - 1 Then Highlight_Checkbox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("     TabProperty")
      If IniIdx > - 1 Then TabProperty = IIF(Field$(IniFile.Item(IniIdx),"=",2)="Multi-Line",0,1)
      IniIdx = TestIniFile.Find("       MaxTabCnt")
      If IniIdx > - 1 Then MaxTabCnt = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("       Partition")
      If IniIdx > - 1 Then IOPanel_Partition = Val(Field$(IniFile.Item(IniIdx),"=",2))
      IniIdx = TestIniFile.Find("Win32.hlp Folder")
      If IniIdx > - 1 Then Win32HelpFileFolder = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     Default LIB")
      If IniIdx > - 1 Then
        If DirExists(Field$(IniFile.Item(IniIdx),"=",2)) Then DefLibFolder = Field$(IniFile.Item(IniIdx),"=",2)
      End If
      IniIdx = TestIniFile.Find("     Default INC")
      If IniIdx > - 1 Then
        If DirExists(Field$(IniFile.Item(IniIdx),"=",2)) Then DefIncFolder = Field$(IniFile.Item(IniIdx),"=",2)
      End If
      IniIdx = TestIniFile.Find("     Default ICO")
      If IniIdx > - 1 Then
        If FileExists(Field$(IniFile.Item(IniIdx),"=",2)) Then DefAppIcon = Field$(IniFile.Item(IniIdx),"=",2)
      End If
      IniIdx = TestIniFile.Find("         AppType")
      If IniIdx > - 1 Then
        Compile_GUI_RadioButton.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="GUI",1,0)
        Compile_CONSOLE_RadioButton.Checked = IIF(Compile_GUI_RadioButton.Checked = True, False, True)
      End If
      IniIdx = TestIniFile.Find("   ByteCode Only")
      If IniIdx > - 1 Then Compile_ByteCode_CheckBox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("       UNIX Mode")
      If IniIdx > - 1 Then Compile_Unix_CheckBox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("         Verbose")
      If IniIdx > - 1 Then Compile_Verbose_Checkbox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("        Optimize")
      If IniIdx > - 1 Then Compile_Optimize_Checkbox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find(" Create a Backup")
      If IniIdx > - 1 Then Compile_BackUp_Checkbox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("Run w/Parameters")
      If IniIdx > - 1 Then Compile_ParameterRun_Checkbox.Checked = IIF(Field$(IniFile.Item(IniIdx),"=",2)="True",1,0)
      IniIdx = TestIniFile.Find("     PrevFile[0]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(0).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[1]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(1).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[2]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(2).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[3]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(3).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[4]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(4).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[5]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(5).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[6]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(6).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[7]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(7).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[8]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(8).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("     PrevFile[9]")
      If IniIdx > - 1 Then Previous_File_TreeView.Item(9).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[0]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(0).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[1]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(1).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[2]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(2).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[3]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(3).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[4]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(4).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[5]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(5).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[6]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(6).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[7]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(7).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[8]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(8).Text = Field$(IniFile.Item(IniIdx),"=",2)
      IniIdx = TestIniFile.Find("      PrevPrj[9]")
      If IniIdx > - 1 Then Previous_Project_TreeView.Item(9).Text = Field$(IniFile.Item(IniIdx),"=",2)
      FormWidth  = MainForm.Width
      FormHeight = MainForm.Height
      FormLeft   = MainForm.Left
      FormTop    = MainForm.Top
    Else
      FormWidth  = MainForm.Width
      FormHeight = MainForm.Height
      FormLeft   = (Screen.Width\2) - (FormWidth\2)
      FormTop    = (Screen.Height\2) - (FormHeight\2)
    End If
    TestIniFile.Clear
    For i = 9 To 0 Step -1
      If Previous_File_TreeView.Item(i).Text = "" Then
        Previous_File_TreeView.DelItems(i)
      ElseIf Previous_File_TreeView.Item(i).Text <> "" Then
        If FileExists(Previous_File_TreeView.Item(i).Text) = 0 Then
          Previous_File_TreeView.DelItems(i)
        End If
      End If
    Next i
    For i = 9 To 0 Step -1
      If Previous_Project_TreeView.Item(i).Text = "" Then
        Previous_Project_TreeView.DelItems(i)
      ElseIf Previous_Project_TreeView.Item(i).Text <> "" Then
        If FileExists(Previous_Project_TreeView.Item(i).Text) = 0 Then
          Previous_Project_TreeView.DelItems(i)
        End If
      End If
    Next i
    mhSelectWin32Folder.Enabled = IIF(Win32HelpFileFolder = "", True, False)
    phSelectWin32Folder.Enabled = mhSelectWin32Folder.Enabled
    Get_LIB_Button.Hint = " Current: " & DefLibFolder & " "
    Get_INC_Button.Hint = " Current: " & DefIncFolder & " "
    Get_ICO_Button.Hint = " Current: " & DefAppIcon & " "
    Show_ICO_Image.Icon = DefAppIcon
End Sub

Sub Save_Defaults
    Dim RedColor As Long
        RedColor = 0
    Dim GreenColor As Long
        GreenColor = 0
    Dim BlueColor As Long
        BlueColor = 0
    Dim i As Long
        i = 0
    For i = 9 To Previous_File_TreeView.ItemCount Step -1
      Previous_File_TreeView.AddItems("")
    Next i
    For i = 9 To Previous_Project_TreeView.ItemCount Step -1
      Previous_Project_TreeView.AddItems("")
    Next i
    IniFile.Clear
    IniFile.AddItems("       Form.Left=" & Str$(MainForm.Left))
    IniFile.AddItems("        Form.Top=" & Str$(MainForm.Top))
    IniFile.AddItems("      Form.Width=" & Str$(MainForm.Width))
    IniFile.AddItems("     Form.Height=" & Str$(MainForm.Height))
    BlueColor  = Floor(DefReBgColor / 65536)
    GreenColor = Floor((DefReBgColor - (BlueColor * 65536)) / 256)
    RedColor   = DefReBgColor - (BlueColor * 65536) - (GreenColor * 256)
    IniFile.AddItems("  RichEdit.Color=RGB("+Format$("%.3d",RedColor)+","+Format$("%.3d",GreenColor)+","+Format$("%.3d",BlueColor)+")")
    IniFile.AddItems("       Font.Name=" & DefaultFont.Name)
    IniFile.AddItems("       Font.Size=" & Str$(DefaultFont.Size))
    BlueColor  = Floor(DefaultFont.Color / 65536)
    GreenColor = Floor((DefaultFont.Color - (BlueColor * 65536)) / 256)
    RedColor   = DefaultFont.Color - (BlueColor * 65536) - (GreenColor * 256)
    IniFile.AddItems("      Font.Color=RGB("+Format$("%.3d",RedColor)+","+Format$("%.3d",GreenColor)+","+Format$("%.3d",BlueColor)+")")
    IniFile.AddItems("       Font.Bold=" & IIF(DefaultFont.Bold = True, "True", "False"))
    IniFile.AddItems("     Font.Italic=" & IIF(DefaultFont.Italic = True, "True", "False"))
    IniFile.AddItems("  Font.Strikeout=" & IIF(DefaultFont.Strikeout = True, "True", "False"))
    IniFile.AddItems("  Font.Underline=" & IIF(DefaultFont.Underline = True, "True", "False"))
    IniFile.AddItems("    Font.CharSet=" & Str$(DefaultFont.CharSet))
    IniFile.AddItems("  Line Numbering=" & IIF(LineNumbers_Checkbox.Checked = True, "True", "False"))
    IniFile.AddItems("    HighLighting=" & IIF(Highlight_Checkbox.Checked = True, "True", "False"))
    IniFile.AddItems("     TabProperty=" & IIF(TabProperty = 0, "Multi-Line", "Single-Line"))
    IniFile.AddItems("       MaxTabCnt=" & Str$(MaxTabCnt))
    IniFile.AddItems("       Partition=" & Str$(IOPanel_Partition))
    IniFile.AddItems("Win32.hlp Folder=" & Win32HelpFileFolder)
    IniFile.AddItems("     Default LIB=" & DefLibFolder)
    IniFile.AddItems("     Default INC=" & DefIncFolder)
    IniFile.AddItems("     Default ICO=" & DefAppIcon)
    IniFile.AddItems("         AppType=" & IIF(Compile_GUI_RadioButton.Checked = True, "GUI", "CONSOLE"))
    IniFile.AddItems("   ByteCode Only=" & IIF(Compile_ByteCode_CheckBox.Checked = True, "True", "False"))
    IniFile.AddItems("       UNIX Mode=" & IIF(Compile_Unix_CheckBox.Checked = True, "True", "False"))
    IniFile.AddItems("         Verbose=" & IIF(Compile_Verbose_Checkbox.Checked = True, "True", "False"))
    IniFile.AddItems("        Optimize=" & IIF(Compile_Optimize_Checkbox.Checked = True, "True", "False"))
    IniFile.AddItems(" Create a Backup=" & IIF(Compile_BackUp_Checkbox.Checked = True, "True", "False"))
    IniFile.AddItems("Run w/Parameters=" & IIF(Compile_ParameterRun_Checkbox.Checked = True, "True", "False"))
    IniFile.AddItems("     PrevFile[0]=" & Previous_File_TreeView.Item(0).Text)
    IniFile.AddItems("     PrevFile[1]=" & Previous_File_TreeView.Item(1).Text)
    IniFile.AddItems("     PrevFile[2]=" & Previous_File_TreeView.Item(2).Text)
    IniFile.AddItems("     PrevFile[3]=" & Previous_File_TreeView.Item(3).Text)
    IniFile.AddItems("     PrevFile[4]=" & Previous_File_TreeView.Item(4).Text)
    IniFile.AddItems("     PrevFile[5]=" & Previous_File_TreeView.Item(5).Text)
    IniFile.AddItems("     PrevFile[6]=" & Previous_File_TreeView.Item(6).Text)
    IniFile.AddItems("     PrevFile[7]=" & Previous_File_TreeView.Item(7).Text)
    IniFile.AddItems("     PrevFile[8]=" & Previous_File_TreeView.Item(8).Text)
    IniFile.AddItems("     PrevFile[9]=" & Previous_File_TreeView.Item(9).Text)
    IniFile.AddItems("      PrevPrj[0]=" & Previous_Project_TreeView.Item(0).Text)
    IniFile.AddItems("      PrevPrj[1]=" & Previous_Project_TreeView.Item(1).Text)
    IniFile.AddItems("      PrevPrj[2]=" & Previous_Project_TreeView.Item(2).Text)
    IniFile.AddItems("      PrevPrj[3]=" & Previous_Project_TreeView.Item(3).Text)
    IniFile.AddItems("      PrevPrj[4]=" & Previous_Project_TreeView.Item(4).Text)
    IniFile.AddItems("      PrevPrj[5]=" & Previous_Project_TreeView.Item(5).Text)
    IniFile.AddItems("      PrevPrj[6]=" & Previous_Project_TreeView.Item(6).Text)
    IniFile.AddItems("      PrevPrj[7]=" & Previous_Project_TreeView.Item(7).Text)
    IniFile.AddItems("      PrevPrj[8]=" & Previous_Project_TreeView.Item(8).Text)
    IniFile.AddItems("      PrevPrj[9]=" & Previous_Project_TreeView.Item(9).Text)
    IniFile.SaveToFile(InstallPath & "EditAide.ini")
    IniFile.Clear
End Sub
